## org.opengis.filter.spatial
Interface SpatialOperator

All Superinterfaces:
  Filter

All Known Subinterfaces:
  BBOX, Beyond, BinarySpatialOperator, BoundedSpatialOperator, Contains, Crosses, Disjoint, DistanceBufferOperator, DWithin, Equals, Intersects, Overlaps, Touches, Within

    @XmlElement(value="SpatialOpsType")
    public interface SpatialOperator

extends Filter

Abstract base class for operators that perform a spatial comparison on geometric attributes of a feature.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary

Methods inherited from interface Filter
`accept, evaluate`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.